
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>我们的设计流程 / iVAN</title>

    <meta name="description" content="我们的设计流程 淘宝面试的最后一个环节,是请应聘者向面试官提问,使面试官有机会解答应聘者对公司.团队以及工作等等方面的疑问.在我面试过的设计师当中,大约有三分之一 会问我:&quot;淘宝的设计流程是怎么样的?&quot;我不是很了解问这个问题的人为什么会有如此高的比例.也许这是一个&quot;安全&quot;的问题,不会对面试有什么危害:也许目 前设计师在工作中普遍碰到&quot;流程&quot;问题或&quot;没有流程&quot;的问题:也许这个话题涉及各家公司的&quot;机密&quot;,确实无从找到 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">我们的设计流程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>淘宝面试的最后一个环节，是请应聘者向面试官提问，使面试官有机会解答应聘者对公司、团队以及工作等等方面的疑问。在我面试过的设计师当中，大约有三分之一 会问我：“淘宝的设计流程是怎么样的？”我不是很了解问这个问题的人为什么会有如此高的比例。也许这是一个“安全”的问题，不会对面试有什么危害；也许目 前设计师在工作中普遍碰到“流程”问题或“没有流程”的问题；也许这个话题涉及各家公司的“机密”，确实无从找到相关的资料。</p>
<p>总而言之，虽然来面试淘宝的设计师人数有限，但我斗胆假设：目前国内所有网页设计师中的三分之一想了解更多关于“设计流程”方面的知识，而我们也不 认为这是什么“机密”的话题(我了解的各公司设计过程都八九不离十，名称不同，本质上是一样的)。所以，就在此简单介绍一下淘宝UED的设计流程，期望对这三分之一的设计师有所帮助。</p>
<h2>Step 1：原型（Prototype）</h2>
<p>设计的第一个阶段，我们称之为原型设计，主要是设计产品的功能、用户流程、信息架构、交互细节、页面元素等等。如果你觉得听上去这些概念都比较悬的 话，我就用大白话来说：原型设计，就是完全不管产品长得好不好看，只把它要做的事情和怎么做这些事情想清楚，把它怎么和用户交互想清楚，而且把所有这些都 画出来，让人可以直观地看到。</p>
<p>至于怎么画出来，那就随你了。用纸笔画，用白板水笔画，用Photoshop画，用Visio画，或者像我们一样用Axure画，都可以。只要把上面提到的这些都事无巨细地表达出来。</p>
<p>在原型的交付物（Delivery，也就是某个阶段的产出物）中，最重要也最常见的就是线框图（Wire Frame），这玩意儿不用多解释了，看下面这张图就明白：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMTEwMTczMTMyNTUwNy5wbmc=.jpg"></p>
<p>在画线框图的时候，要把握好细节的刻画程度。有些东西只要画个框就行了，而有些东西需要把文案都设计好。以免你的老板或是需求方揪住角落里的广告banner该有多大这种问题与你纠缠不休，而忽视了最重要的页面主体部分。</p>
<p>此外，还要牢记：原型就是用来让人改的。它存在的价值就体现在被修改了几次，被更新了几次，以及它的下一步被少改了几次。</p>
<h2>Step 2：模型（Mock-up）</h2>
<p>在原型被大家接受之后，就该关心产品长得好不好看了。 我们以“模型”这个词来统称该步骤的交付物。和原型相比，它关注于产品的视觉设计，包括色彩、风格、图标、插图等等。</p>
<p>要清楚的是，这不是一步由“美工”来“美化”的工作。视觉设计师需要对原型设计有深刻的理解，对交互设计和尚未进行的HTML/CSS/JS的 Code都要有充分的了解。如果不能从全局的角度来做视觉设计，则只能是做做把水晶效果改成金属效果这样的“自娱自乐”，而对产品本身没有任何有价值的帮 助。如果原型说：“在这个页面上，A比B重要。”，那他的脑子里就要有十七八种可以表现“A比B重要”的视觉语言可供选择。这是对设计模型的视觉设计师的 基本要求。</p>
<p>更高一些的要求，才是视觉设计的“原始功能”。“倒底是选水晶效果还是金属效果？”，“这个按钮选什么颜色好？”等等。这一类的 思考和选择，应着眼于产品的气质、品牌等等，在各种产品间保持一定的统一，在用户心里打下视觉的烙印。其实要做到这一点是很难的，特别是还要满足上一点的 要求。一般来说，如果能90%的把交互设计的成果和品牌形象表达出来，已经是很好的结果了。从我自己来说，就常常很郁闷不能用好的视觉语言来表达自己在原 型设计中的想法，总是做完模型就打个七折:(</p>
<p>更更高的要求， 有些问题用交互设计是很难解决的，这时就需要一个有创造能力的视觉师，可以从视觉设计的角度来创造性地解决问题（一时还没想出好的例子，想出来再补上）。</p>
<p>总 的来说，模型设计是件非常困难的事情。它的工具是感性的，但设计过程又要求非常理性，必须在各种约束条件中解决问题。而目前能从较高的角度来来看“视觉设 计”的人还不多，大多还停留在“效果”、“风格”等表面议题上。个人以为在“Web标准”和“用户体验”之后，视觉设计是Web设计专业化运动的第三波， 市场的需求已经存在，只差有人推动一下。</p>
<p>模型的设计一般来说都是用Photoshop了，下是是个例子（与原型的例子对应）：<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMTEwMTczMTMyNTY1NC5wbmc=.jpg"></p>
<h2>Step 3：演示版（Demo）</h2>
<p>这步我就不多说了，Demo就是按照原型和模型用xHTML/CSS/JavaScript等等前端技术实现出来，以便后端的开发工程师可以接手编 码。这个过程让小马、正淳专门起个新帖来详细介绍吧。只提一点，前端开发在有些公司是不放在设计团队的，而我们认为前端开发从很大程度上来说是对用户体验 的提升和保证，开发只是它的一个手段和形式。所以就把这块工作一直留在我们团队，现在看起来这样很棒：）</p>
<p>把上述原型、模型转为xHTML/CSS之后就是这个页面了：</p>
<p>http://favorite.taobao.com/collect_list——-g,nrxwy2lumhgozsvz2cq3tk6w64-.htm</p>
<h2>Step 0.5/1.5/2.5/3.5</h2>
<p>居然还有半个半个的步骤？是的，这是我们的用户研究过程。在各个阶段的前后，我们会根据具体情况选择是否投入精力到用户研究上。用户研究的形式也很 自由：给会员打个电话，淘宝旺旺上随便找人聊聊，到公司来做可用性测试，到会员家中访谈……怎么方便怎么实用就怎么做。我们还没有精力放在太多的“学术”性质的理论研究上，对研究方 法也是不拘一格，“能抓老鼠”就行。关键的关键，研究的结果如何表现到产品上，如何吸收单个用户的意见来服务所有用户。</p>
<p>在这一点上，我们做得还很不够，积累也很薄，需要向同行们多多学习，也请大家多多指点。</p>
<h2>最后……</h2>
<p>关于流程，要注意：</p>
<ol>
<li>设计流程的目标，在于保证“无论谁来做这个产品的设计，都能达到80分”；</li>
<li>“100分”的完美作品，很有可能没有遵循流程，而是天才地融合了创新、传承和执行力的作品；</li>
<li>“流程”这种东西，只有与环境相匹配才能带来正面的作用。</li>
</ol>
<p>以上是我们UED团队目前的设计流程，也许你也发现了，它和大多数公司的设计流程是差不多的。我们也在不断地修改和发展这个体系，有不足的地方也请大家多指教。如果你借鉴了我们的流程，在工作中发现有什么问题，也请回来告诉我们，谢谢大家！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 04:54:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.iamivan.net/tag/%e5%8e%9f%e5%9e%8b/" title="原型">原型</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1/" title="设计">设计</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9e%8b/" title="模型">模型</a>, <a href="https://www.iamivan.net/tag/%e8%a7%86%e8%a7%89%e8%ae%be%e8%ae%a1/" title="视觉设计">视觉设计</a>, <a href="https://www.iamivan.net/tag/%e6%b5%81%e7%a8%8b/" title="流程">流程</a>, <a href="https://www.iamivan.net/tag/js%e5%8e%9f%e5%9e%8b%e9%9d%a2%e8%af%95%e9%a2%98/" title="js原型面试题">js原型面试题</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>我们的设计流程的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boL0DM.html" rel="bookmark">交互设计中响应式Web设计的优势和设计流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在设计中经常遇到这几个问题: 1.想要网站兼容手机.平板电脑.pc,就得为不同的设备定制不同的版本. 2.想要网站的某些页面在宽屏显示器下一行显示更多的内容,又得为宽屏定制一个版本. 3.很多人并不是在全屏的情况下浏览我们的页面,如果让页面随着浏览器宽度改变而相应的调整会不会比较好? 有没有办法能有效解决这些问题呢? 响应式Web设计(Responsive Web design)的理念是页面的设计与开发应当根据设备环境(屏幕尺寸.屏幕定向.系统平台等)以及用户行为(改变窗口大小等)进行相应的响应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8NeVb.html" rel="bookmark">响应式网站的产品需求和设计流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今次的译文中,我们继续响应式Web设计方面的话题.前面的几篇相关文章以概念诠释.方法说明为主,本篇则围绕一个实际网站案例展开,从需求.流程.步骤细节等方面描述了响应式设计在项目中的实践方式. 本篇的部分内容要点会与之前几篇产生交集;我们会在这些地方提供相应文章的入口,便于深入参考阅读.接下来进入正文. 根据DailyTech的统计,到2015年,移动互联网的用户数量将会超过桌面用户.除了智能手机之外,使用平板电脑甚至是电视机进行上网的用户也在持续增加.在这种形势下,怎样让我们的网站尽量兼容各种类			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMynEkp.html" rel="bookmark">产品UI设计流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				产品UI设计中夹杂着许多设计原则要求,统一公司UI设计流程,使UI设计师参与到产品设计整个环节中来,对产品的易用性进行全流程负责,使UI设计的流程规范化,保证UI设计流程的可操作性... 1.分析阶段 需求分析.用户场景模拟.竞品分析(聆听用户心声). 需求分析:对于一个产品来说,必然有对用户需求的分析内容,更多的是从MRD与PRD获得,或者从产品需求评审会议上得到需求分析的内容,当然可以直接与产品经理交流获得相关产品需求.如果说设计原则是所有设计的出发点的话,那么用户需求就是本次设计的出发点.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQK1Wp.html" rel="bookmark">web设计和设计流程 有趣的web交互设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:创意十足的web布局及交互设计. 富有灵感和创意的设计与一般设计的区别在于,它不那么容易被想到和实现,一旦它被实现,一个非常有趣并且迷人的网站就诞生了. 网站几乎每天都能见到,但是不是每一个网站你都会说&quot;真希望我也能想到过!&quot; 设计者们正在做的是一项伟大的工作,那就是提出且合并各种高水平设计的网站,这些网站都是最新颖的原创作品,同时还保持了很高的可用性.不规则的颜色.形状,及其导航就可以生成最有趣.最吸引人的网站.当然,能想到这个点子是很难的,实现起来也有一定的困难. 但是说			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbav7gM.html" rel="bookmark">网页设计经验分享&colon;网站的设计流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:网页设计流程-实例说明. 对于很多刚入行的网页设计来说,总有很多迷惘和不安,特别是在设计过程中,遇到反复修改,更是有想揍人的冲动,有句话怎么说来着,每一次网页设计师背后,都有一群指点江山的大神.这里,就说一下我过往的一些经验,以及一个网站的设计流程,尽量让更多的新人少走弯路,踏入网页设计这一行业. 注明: 本文来自站酷网 - 由半醉人间 原创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEOWop.html" rel="bookmark">正确的产品设计决策&colon;借鉴iPad应用的完整设计流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:iPad应用的十大用户体验设计准则. 咱先祝各位情人节快乐吧,宅基腐都没太大所谓,2012了,图个乐呵.话说今次上新与之前一篇的间隔稍微长了些,不过也确实尽力而为了:天天梦里都在翻译东西,满脑子的iOS.交互设计.用户体验--希望事情都能快快的顺利搞定. 闲话不多说了,今天的这篇译文同样是移动方面的话题.有人说了你这不叫为&quot;网而生么&quot;,哪来这么多移动的东西呢?这事儿也不奇怪,首先这是我个人目前最关注的方向,也是除了工作时间以外花费精力最多的地方:其次,正像我们在&quot;从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apX5P5z.html" rel="bookmark">UCD设计流程&colon;有效而且弹性的设计流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:不要再追求所谓完整的UCD设计流程. 过去常常被问到一个类似的问题:「有没有UX设计的SOP? 我们想要导入一套像IDEO一样,那么完整的设计流程」.每回听到这样的大哉问,我都不太好意思直接泼对方冷水,毕竟会提出这样的问题,必定是对于使用经验有一定的追求与憧憬.不过,很实际的状况是,大多数公司都不需要「完整的」设计流程:相反地,大家真正需要的是,一个「有效而且弹性的」设计流程. 话说,世界上并不是没有整套规划详尽的UCD (User-Centered Design)设计流程,事实上多得			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5m1np.html" rel="bookmark">产品设计流程&colon;各个环节中的细节深入总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:这篇文章首先总结的是自己对产品设计流程,以及流程中各个环节的认知,在以后的文章中,还会逐一对各个环节中的细节深入总结,从而达到系统性梳理自己认知体系的目的.      最近发生了一些事情,促使自己静下心对这些年的工作沉淀和知识积累做系统性的总结与分享.主要是希望通过总结,加深自己对产品把控认知上的理解,强化各个环节中的具体细节,并且通过分享让跟多人来检验和审查自己设计产品的方式,进一步发现自己能力上的不足与思想体系上的漏洞,进一步提升自己的能力.       这篇文章首先总结的是自己对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvPVVz.html" rel="bookmark">把控互联网产品设计流程&colon;需求调查和商务推广</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:如何把控产品 - 产品全流程解析. 最近发生了一些事情,促使自己静下心对这些年的工作沉淀和知识积累做系统性的总结与分享.主要是希望通过总结,加深自己对产品把控认知上的理解,强化各个环节中的具体细节,并且通过分享让跟多人来检验和审查自己设计产品的方式,进一步发现自己能力上的不足与思想体系上的漏洞,进一步提升自己的能力. 这篇文章首先总结的是自己对产品设计流程,以及流程中各个环节的认知,在以后的文章中,还会逐一对各个环节中的细节深入总结,从而达到系统性梳理自己认知体系的目的. 上图是依据自			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze0nVp.html" rel="bookmark" class="title">Word2007最好用的10个小技巧</a>
					<div>
						Word2007是一款流行的文档编辑软件.对于学生与白领来说,它是一款不可或缺的工具.但是笔者经过观察发现,目前很多用户对这款软件的功能并不熟悉,所以很少有人能把Word2007的价值完全挖掘出来.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdW44M.html" rel="bookmark" class="title">140天，从做站起步到日赚1000</a>
					<div>
						前一阵看到ddz写了一篇&lt;放眼落伍 到处是疲惫的大小站长们 怎么了?&gt;,我看了深有感触.中国互联网络赚钱人群现状,80%的人是吃不饱的15%处温饱状态,只是5%是过着&quot;滋润&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNADdb.html" rel="bookmark" class="title">在pHP中使用crypt&lpar;&rpar;实现用户身份验证</a>
					<div>
						[摘 要] 只要有一点使用非Windows平台经验的读者都可能对crypt()相当熟悉,这一函数完成被称作单向加密的功能,它可以加密一些明码,但不能反过来将密码重新转换为原来的明码. 在开发PHP应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRo0qp.html" rel="bookmark" class="title">用正则表达式突出显示字符串中查询到的单词的函数</a>
					<div>
						函数|显示|正则|字符串 圧(Windows Script 5.丵谋謃郕輚?Function BoldWord(strContent,word)dim objRegExpSet objRegExp=n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7knXAz.html" rel="bookmark" class="title">如何在Oracle中使用临时表解决表冲突</a>
					<div>
						本文介绍一个Oracle里面使用临时表解决表冲突的例子,并附创建临时表的例子 平台:windows 2000 server sp3 数据库:Oracle 9.0.1.1.1 现场描述:用户抱怨不能同时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7K70M.html" rel="bookmark" class="title">个人站长如何选购服务器</a>
					<div>
						  参考方面 实用性 很多人购买服务器最大的误区就是觉得配置越高越好,其实这并不完全正确,要我说,配置适合自己的应用就够,否则多了资源也是浪费.如果你只是用在普通网站上,那要求相对不是太高. 安全性  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3qBOM.html" rel="bookmark" class="title">怎么导入漫画</a>
					<div>
						  移动设备导入方式: 打开itunes后点开应用程序,在文件共享内找到漫画控的图标,单击过后直接把压缩后的漫画包移到进去在打开漫画控的APP就会自动导入了 连上itunes 点击你的设备 比如 ip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWoE4p.html" rel="bookmark" class="title">Jfreechart绘制漂亮的图表</a>
					<div>
						要想绘制出漂亮的图表,就必须了解图表的构成部分,将图表进行分解成N个部分. 然后再对每一个部分进行渲染,设置样式:包括背景色.轮廓线条样式和颜色.填充颜色.字体大小.样式.颜色.同时,需要确保在整个项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWE5vp.html" rel="bookmark" class="title">nusoap-用php的NuSoap 访问webservice遇到的问题。</a>
					<div>
						问题描述 用php的NuSoap 访问webservice遇到的问题. 下了0.9.5版本的nusoap,访问java开发的webservice接口,结果一直都连不上,帮忙看一下是什么问题.谢谢.程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRnlvz.html" rel="bookmark" class="title">C&num;里面 double类型变量如何保留超过15位小数？</a>
					<div>
						问题描述 如题.例如我想求根号3的20位有效数字.用牛顿迭代法或者是二分法,迭代求解出来.但是最多只能保留15位有效数字.大概的思路是把double类型的结果改写成string类型来表示.但是由于是初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N9erM.html" rel="bookmark" class="title">2&period;6 最佳创新先锋：浙江省政府副秘书长陈广胜</a>
					<div>
						获奖理由:开&quot;互联网+政务&quot;先河,推动政务数据共享开放 陈广胜一手推动建设了浙江省政务云,形成全浙江省一体化公共服务平台的整体框架,为公众提供一站式网上公共服务,促进行政权力网上运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPn1Dp.html" rel="bookmark" class="title">STM32F103RC 软解码MP3遇到问题</a>
					<div>
						问题描述 STM32F103RC 软解码MP3遇到问题 接触STM32现在软件解码MP3时遇到问题.软件环境,STM32CubeMX4.14 + RAM MDK4.72 (stm32使用资源:SDIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NlXNM.html" rel="bookmark" class="title">如何用 sysbench 并行装载 PostgreSQL 测试数据</a>
					<div>
						本文参考老唐的使用sysbench和sqlldr并行装载Oracle测试数据而成.http://blog.osdba.net/538.html sysbench原来自带的lua数据装载脚本是使用以下方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgvo4b.html" rel="bookmark" class="title">vSphere ESXi主机配置iSCSI存储</a>
					<div>
						vSphere ESXi主机配置iSCSI存储 vSphere ESXi主机一般连接的存储类型有光纤存储.iSCSI存储两类.本次案例为iSCSI存储连接ESXi主机的配置. 案例环境:ESXi主机通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmx21b.html" rel="bookmark" class="title">模拟在WCF中的应用</a>
					<div>
						在&lt;模拟(Impersonation)与委托(Delegation)&gt;一文中,我们对模拟和委托这两个概念以及相关编程实现进行了详细说明.如果将模拟使用在WCF上面,就意味着WCF可以模拟客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0k9nM.html" rel="bookmark" class="title">win2003&plus;IIS下安装Xcache加速的配置方法分享&lowbar;win服务器</a>
					<div>
						在论坛后台看了半天,只有内存优化一个还没有做,但是自己以前又没有弄过,只有学了. 论坛支持Memcache.eAccelerator.Alternative PHP Cache(APC).Xcache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40geLz.html" rel="bookmark" class="title">用lua编写wireshark插件遇到的问题</a>
					<div>
						问题描述 用lua编写wireshark插件遇到的问题 1.ProtoField包含哪些字段及意义? 2.如何将一个秒数转换成时间戳? 3.没有用local声明的变量不都是全局的吗?为什么我在一个.l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBGrKM.html" rel="bookmark" class="title">Alibaba Cloud and UK Met Office to Co-organise Tianchi Data Mining Contest</a>
					<div>
						Learn more about The Computing Conference 2017 Global competition for solutions to climate challenge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX01ayp.html" rel="bookmark" class="title">64位centos 下编译 hadoop 2&period;6&period;0 源码</a>
					<div>
						64位os下为啥要编译hadoop就不解释了,百度一下就能知道原因,下面是步骤: 前提:编译源码所在的机器,必须能上网,否则建议不要尝试了   一. 下载必要的组件 a) 下载hadoop源码 (当前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5JWap.html" rel="bookmark" class="title">c&colon;foreach的使用问题：如何遍历两个LIST</a>
					<div>
						问题描述 c:foreach的使用问题:如何遍历两个LIST &lt;tr&gt; &lt;td&gt;&lt;/td&gt; &lt;td&gt;&lt;/td&gt; &lt;td&gt;&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE5rJM.html" rel="bookmark" class="title">下一个趋势是什么？</a>
					<div>
						摘要: 下一个趋势是什么?这是个迷人的问题.美国一家叫IARPA(Intelligence Advanced Research Projects Activity)的组织希望通过跑数据的形式发现那些当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWw4kz.html" rel="bookmark" class="title">中国2018年或超美国成全球最大经济体</a>
					<div>
						晶报讯(记者 余彦君) 普华永道昨日发布的一份研究报告显示,全球金融危机加速经济实力向新兴经济体的转移,如果按照购买力平价(PPP)衡量国内生产总值(GDP),中国有可能在2018年超越美国成为全球最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkeqWp.html" rel="bookmark" class="title">给HTML标签中的属性添加双引号js代码</a>
					<div>
						&lt;a href=xxx&gt;改为:&lt;a href=&quot;xxx&quot;&gt; LeXRus的第一个正则如下:  代码如下 复制代码  /(?!&lt;w+)(s+w+)=([ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z443r9z.html" rel="bookmark" class="title">开启Javascript中apply、call、bind的用法之旅模式&lowbar;javascript技巧</a>
					<div>
						我希望能够通过这篇文章,能够清晰的提升对apply.call.bind的认识,并且列出一些它们的妙用加深记忆. apply.call 在 javascript 中,call 和 apply 都是为了改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N6O8z.html" rel="bookmark" class="title">详解Java的MyBatis框架与Spring框架整合中的映射器注入&lowbar;java</a>
					<div>
						MyBatis-Spring允许你在Service Bean中注入映射器.当使用映射器时,就像调用DAO那样来调用映射器就可以了,但是此时你就不需要进行任何DAO实现的编码,因为MyBatis会为你进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWOZlz.html" rel="bookmark" class="title">JS实现新浪微博效果带遮罩层的弹出框代码&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS实现新浪微博效果带遮罩层的弹出框代码.分享给大家供大家参考.具体如下: 这是一款新浪微博效果的弹出框,现成的JS代码,兼容IE6+,以及各主流浏览器.新浪微博弹出层并可拖拽,操作轻松 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVDn1z.html" rel="bookmark" class="title">学习javascript，实现插入排序实现代码&lowbar;javascript技巧</a>
					<div>
						插入排序 插入排序是这样实现的: 首先新建一个空列表,用于保存已排序的有序数列(我们称之为&quot;有序列表&quot;). 从原数列中取出一个数,将其插入&quot;有序列表&quot;中,使其仍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNG2xp.html" rel="bookmark" class="title">&ast;  怎样做自己的二级域名（之二） &lpar;转&rpar;</a>
					<div>
						好啦,现在已经有了一个泛域名了,我们要选择一个合适的程序和空间了.其实这两个要结合考虑,为了叙述方便,就先说程序好了.产生做 netmiss.net 的二级域名这个想法是两个月以前的事情了,当时k66 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NJ38p.html" rel="bookmark" class="title">MySQL手册版本 5&period;0&period;20-MySQL优化&lpar;二&rpar;  （1）</a>
					<div>
						7.2.1 EXPLAIN 语法(得到SELECT 的相关信息) EXPLAIN tbl_name 或者: EXPLAIN SELECT select_options EXPLAIN 语句可以被当作  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkg2nz.html" rel="bookmark" class="title">关于process&period;start的一个问题</a>
					<div>
						问题描述 现在要通过process.start运行一个bat文件,文件内容就是执行一个ruby文件rubyXXX.rb通过process.start(bat)出现ruby命令无效....另外通过如下代 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
